# Uses of Class
org.apache.lucene.search.AcceptDocs

Packages that use AcceptDocs
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

- ## Uses of AcceptDocs in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs with parameters of type AcceptDocs
  Modifier and Type
  Method
  Description
  `abstract void`
  KnnVectorsReader.`search(String field, byte[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  Return the k nearest neighbor documents as determined by comparison of their vector values for this field, to the given vector, by the field's similarity function.
  `abstract void`
  KnnVectorsReader.`search(String field, float[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  Return the k nearest neighbor documents as determined by comparison of their vector values for this field, to the given vector, by the field's similarity function.

- ## Uses of AcceptDocs in org.apache.lucene.codecs.hnsw

  Methods in org.apache.lucene.codecs.hnsw with parameters of type AcceptDocs
  Modifier and Type
  Method
  Description
  `void`
  FlatVectorsReader.`search(String field, byte[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  `void`
  FlatVectorsReader.`search(String field, float[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`

- ## Uses of AcceptDocs in org.apache.lucene.codecs.lucene99

  Methods in org.apache.lucene.codecs.lucene99 with parameters of type AcceptDocs
  Modifier and Type
  Method
  Description
  `void`
  Lucene99HnswVectorsReader.`search(String field, byte[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  `void`
  Lucene99HnswVectorsReader.`search(String field, float[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`

- ## Uses of AcceptDocs in org.apache.lucene.codecs.perfield

  Methods in org.apache.lucene.codecs.perfield with parameters of type AcceptDocs
  Modifier and Type
  Method
  Description
  `void`
  PerFieldKnnVectorsFormat.FieldsReader.`search(String field, byte[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  `void`
  PerFieldKnnVectorsFormat.FieldsReader.`search(String field, float[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`

- ## Uses of AcceptDocs in org.apache.lucene.index

  Methods in org.apache.lucene.index with parameters of type AcceptDocs
  Modifier and Type
  Method
  Description
  `final void`
  CodecReader.`searchNearestVectors(String field, byte[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  `final void`
  CodecReader.`searchNearestVectors(String field, float[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  `void`
  ExitableDirectoryReader.ExitableFilterAtomicReader.`searchNearestVectors(String field, byte[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  `void`
  ExitableDirectoryReader.ExitableFilterAtomicReader.`searchNearestVectors(String field, float[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  `void`
  FilterLeafReader.`searchNearestVectors(String field, byte[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  `void`
  FilterLeafReader.`searchNearestVectors(String field, float[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  `final TopDocs`
  LeafReader.`searchNearestVectors(String field, byte[] target, int k, AcceptDocs acceptDocs, int visitedLimit)`
  Return the k nearest neighbor documents as determined by comparison of their vector values for this field, to the given vector, by the field's similarity function.
  `abstract void`
  LeafReader.`searchNearestVectors(String field, byte[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  Return the k nearest neighbor documents as determined by comparison of their vector values for this field, to the given vector, by the field's similarity function.
  `final TopDocs`
  LeafReader.`searchNearestVectors(String field, float[] target, int k, AcceptDocs acceptDocs, int visitedLimit)`
  Return the k nearest neighbor documents as determined by comparison of their vector values for this field, to the given vector, by the field's similarity function.
  `abstract void`
  LeafReader.`searchNearestVectors(String field, float[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  Return the k nearest neighbor documents as determined by comparison of their vector values for this field, to the given vector, by the field's similarity function.
  `void`
  ParallelLeafReader.`searchNearestVectors(String fieldName, byte[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`
  `void`
  ParallelLeafReader.`searchNearestVectors(String fieldName, float[] target, KnnCollector knnCollector, AcceptDocs acceptDocs)`

- ## Uses of AcceptDocs in org.apache.lucene.search

  Methods in org.apache.lucene.search that return AcceptDocs
  Modifier and Type
  Method
  Description
  `static AcceptDocs`
  AcceptDocs.`fromIteratorSupplier(IOSupplier<DocIdSetIterator> iteratorSupplier, Bits liveDocs, int maxDoc)`
  Create AcceptDocs from an `IOSupplier` of `DocIdSetIterator`, optionally filtered by live documents.
  `static AcceptDocs`
  AcceptDocs.`fromLiveDocs(Bits bits, int maxDoc)`
  Create AcceptDocs from a `Bits` instance representing live documents.
  Methods in org.apache.lucene.search with parameters of type AcceptDocs
  Modifier and Type
  Method
  Description
  `protected TopDocs`
  ByteVectorSimilarityQuery.`approximateSearch(LeafReaderContext context, AcceptDocs acceptDocs, int visitLimit, KnnCollectorManager knnCollectorManager)`
  `protected TopDocs`
  FloatVectorSimilarityQuery.`approximateSearch(LeafReaderContext context, AcceptDocs acceptDocs, int visitLimit, KnnCollectorManager knnCollectorManager)`
  `protected TopDocs`
  KnnByteVectorQuery.`approximateSearch(LeafReaderContext context, AcceptDocs acceptDocs, int visitedLimit, KnnCollectorManager knnCollectorManager)`
  `protected TopDocs`
  KnnFloatVectorQuery.`approximateSearch(LeafReaderContext context, AcceptDocs acceptDocs, int visitedLimit, KnnCollectorManager knnCollectorManager)`
  `protected TopDocs`
  PatienceKnnVectorQuery.`approximateSearch(LeafReaderContext context, AcceptDocs acceptDocs, int visitedLimit, KnnCollectorManager knnCollectorManager)`
  `protected TopDocs`
  SeededKnnVectorQuery.`approximateSearch(LeafReaderContext context, AcceptDocs acceptDocs, int visitedLimit, KnnCollectorManager knnCollectorManager)`